Everything about Chaotic-AUR packages

Time to remove balena from chaotic-aur!

2 Likes
2 Likes

If it's smaller in the future (when it uses a newer Electron) it may come back: BalenaEtcher does not open from applauncher link, but will from terminal? - #13 by Technetium

4 Likes

Did VSCodium get removed from the repo? The vscodium and vscodium-marketplace packages I have installed are not available anymore and have been reverted to aur packages.

> pacman -Ss vscodium
chaotic-aur/vscodium-git 1.73.0.22306.r2.g51e8c96-1
    Free/Libre Open Source Software Binaries of VSCode (git build from latest commit).
chaotic-aur/vscodium-insiders 1.73.0.22306-1.1
    Binary releases of Code Insiders without branding/telemetry/licensing (git build from latest release)
chaotic-aur/vscodium-insiders-marketplace 1.72.0-1.1
    Enable vscode marketplace in vscodium

Looks like it isn't there anymore indeed.
Build problem I think: https://builds.garudalinux.org/repos/chaotic-aur/logs/vscodium.log

3 Likes

Ah I see. So I'm guessing that it's gonna be available again in a bit, right?

2 Likes

I think so, it looks like it was just a timeout on an automated build.

2 Likes

Should be available in half an hour max, depending on the builders work load of course. I just started the build manually :slight_smile:

6 Likes

Quick question: Why do you build zoom? It has had some massive security issues and is not even open source, it seems

I have a question, why do we have Snapper Tools preinstalled when BTRFS Assistant is all-sufficient?

3 Likes

Because they do different things, differently. For example, BTRFS Assistant removed snapshots functionality, if memory serves, and does things more at the BTRFS maintenance level.

1 Like

Hm, I think that was "garuda assistant", it now points to "btrfs assistant" which has a "snapper" tab with new/delete/restore options. Seems to me "snapper tools" is indeed redundant.

2 Likes

Even though it sucks it's still very useful to have. I unfortunately still have to install it on-demand for some medical appointments. The popularity and votes are very strong on this one. Companies are not implicitly endorsed in any way by Chaotic-AUR because of their availability! :stuck_out_tongue:

5 Likes

Well, Snapper Tools is also used by the system snapshot rollback. As in, if you boot from a snapshot, when you get the prompt to restore that snapshot you're currently booted into, snapper-tools is what's being used to roll back the system.
From my understanding, BTRFS Assistant's developer was intending to remove snapshot configuration/functionality in the coming future. At least, that's what I had heard at least.

7 Likes

Oops, I think you're right. I should have known better LOL.

1 Like

Could you add nvidia-utils-beta to Chaotic?

2 Likes

I would like to request a few packages that are in the AUR, crossing fingers nothing will prevent you from adding them to Chaotic:

  • zenpower-dkms (you already got the git version in but I prefer to use the non-git)
  • amdgpu-fan
  • dolphin-megasync-bin
  • fish-systemd-git
  • it87-dkms-git (if it doesn't build it may require pahole)
  • plasma5-applets-weather-widget-2

Let me know the issues you encounter with these packages.

Thanks! :smiley:

There is an issue with virt-manager-meta:

 sudo pacman -S virt-manager-meta
resolving dependencies...
warning: cannot resolve "libbpf.so=0-64", a dependency of "qemu"
:: There are 2 providers available for libwolfssl.so=35-64:
:: Repository cachyos-v3
   1) wolfssl
:: Repository extra
   2) wolfssl

Enter a number (default=1): 
warning: cannot resolve "qemu", a dependency of "virt-manager-meta"
:: The following package cannot be upgraded due to unresolvable dependencies:
      virt-manager-meta

:: Do you want to skip the above package for this upgrade? [y/N] 
error: failed to prepare transaction (could not satisfy dependencies)
:: unable to satisfy dependency 'libbpf.so=0-64' required by qemu
:: unable to satisfy dependency 'qemu' required by virt-manager-meta

Done!

4 Likes

Done!

7 Likes